Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453748 - Update fails due to invalid sed command in %pre scriptlet
Summary: Update fails due to invalid sed command in %pre scriptlet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 10:34 UTC by Torsten Rausche
Modified: 2009-06-27 15:43 UTC (History)
3 users (show)

Fixed In Version: 2.3.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 16:50:10 UTC


Attachments (Terms of Use)
Fix sed regular expression in pre script (deleted)
2008-07-02 13:07 UTC, Jeffrey C. Ollie
no flags Details | Diff

Description Torsten Rausche 2008-07-02 10:34:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
The update to the current version in updates-testing (xorg-x11-drv-i810-2.3.2-1.fc9) fails with:

sed: -e expression #1, char 41: invalid reference \1 on `s' command's RHS
error: %pre(xorg-x11-drv-i810-2.3.2-1.fc9.x86_64) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping xorg-x11-drv-i810-2.3.2-1.fc9


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.3.2-1.fc9

How reproducible:
Always


Steps to Reproduce:
1. Try to update to xorg-x11-drv-i810-2.3.2-1.fc9


Actual Results:
The error mentioned in the description occurs, causing the update to fail.

Expected Results:
A clean update to the new version

Additional info:

Comment 1 David 2008-07-02 11:13:17 UTC
Yes she fails on the update :(

I can't see a 2.3.2-2 in koji but it says:

bodhi - 2008-07-02 10:44:45 (karma 0)
             This update has been obsoleted

Weird if its obsoleted where the the updated one in koji?

Comment 2 Jeffrey C. Ollie 2008-07-02 12:57:11 UTC
(In reply to comment #1)
> 
> Weird if its obsoleted where the the updated one in koji?

If an update gets enough negative feedback it is obsoleted even though there is
no newer update available.


Comment 3 Jeffrey C. Ollie 2008-07-02 13:07:01 UTC
Created attachment 310787 [details]
Fix sed regular expression in pre script

Comment 4 Jeffrey C. Ollie 2008-07-02 13:07:46 UTC
I've attached a patch that should fix the problem with the script.

Comment 5 Jeffrey C. Ollie 2008-07-02 13:37:46 UTC
Here's a scratch build in koji with my patch applied.

http://koji.fedoraproject.org/koji/taskinfo?taskID=692092

Comment 6 Torsten Rausche 2008-07-02 16:50:10 UTC
There it is...

http://koji.fedoraproject.org/koji/buildinfo?buildID=54564

* Wed Jul 02 2008 Adam Jackson <ajax@redhat.com> 2.3.2-2
- Drop the %pre hack for the moment.



Note You need to log in before you can comment on or make changes to this bug.